package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

public class EvaluateCourseQueryInfo extends QueryInfo {

    private Integer teacherId;

    @ApiModelProperty(value = "课程编号")
    private Long courseScheduleId;

    @ApiModelProperty(value = "是否评价，默认否")
    private Integer evaluateFlag = 0;

    @ApiModelProperty(value = "开始时间")
    private String startDate;

    @ApiModelProperty(value = "截止时间")
    private String endDate;

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public int getEvaluateFlag() {
        return evaluateFlag;
    }

    public void setEvaluateFlag(int evaluateFlag) {
        this.evaluateFlag = evaluateFlag;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }
}
